"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SecretsManager = void 0;
const smithy_client_1 = require("@smithy/smithy-client");
const BatchGetSecretValueCommand_1 = require("./commands/BatchGetSecretValueCommand");
const CancelRotateSecretCommand_1 = require("./commands/CancelRotateSecretCommand");
const CreateSecretCommand_1 = require("./commands/CreateSecretCommand");
const DeleteResourcePolicyCommand_1 = require("./commands/DeleteResourcePolicyCommand");
const DeleteSecretCommand_1 = require("./commands/DeleteSecretCommand");
const DescribeSecretCommand_1 = require("./commands/DescribeSecretCommand");
const GetRandomPasswordCommand_1 = require("./commands/GetRandomPasswordCommand");
const GetResourcePolicyCommand_1 = require("./commands/GetResourcePolicyCommand");
const GetSecretValueCommand_1 = require("./commands/GetSecretValueCommand");
const ListSecretsCommand_1 = require("./commands/ListSecretsCommand");
const ListSecretVersionIdsCommand_1 = require("./commands/ListSecretVersionIdsCommand");
const PutResourcePolicyCommand_1 = require("./commands/PutResourcePolicyCommand");
const PutSecretValueCommand_1 = require("./commands/PutSecretValueCommand");
const RemoveRegionsFromReplicationCommand_1 = require("./commands/RemoveRegionsFromReplicationCommand");
const ReplicateSecretToRegionsCommand_1 = require("./commands/ReplicateSecretToRegionsCommand");
const RestoreSecretCommand_1 = require("./commands/RestoreSecretCommand");
const RotateSecretCommand_1 = require("./commands/RotateSecretCommand");
const StopReplicationToReplicaCommand_1 = require("./commands/StopReplicationToReplicaCommand");
const TagResourceCommand_1 = require("./commands/TagResourceCommand");
const UntagResourceCommand_1 = require("./commands/UntagResourceCommand");
const UpdateSecretCommand_1 = require("./commands/UpdateSecretCommand");
const UpdateSecretVersionStageCommand_1 = require("./commands/UpdateSecretVersionStageCommand");
const ValidateResourcePolicyCommand_1 = require("./commands/ValidateResourcePolicyCommand");
const SecretsManagerClient_1 = require("./SecretsManagerClient");
const commands = {
    BatchGetSecretValueCommand: BatchGetSecretValueCommand_1.BatchGetSecretValueCommand,
    CancelRotateSecretCommand: CancelRotateSecretCommand_1.CancelRotateSecretCommand,
    CreateSecretCommand: CreateSecretCommand_1.CreateSecretCommand,
    DeleteResourcePolicyCommand: DeleteResourcePolicyCommand_1.DeleteResourcePolicyCommand,
    DeleteSecretCommand: DeleteSecretCommand_1.DeleteSecretCommand,
    DescribeSecretCommand: DescribeSecretCommand_1.DescribeSecretCommand,
    GetRandomPasswordCommand: GetRandomPasswordCommand_1.GetRandomPasswordCommand,
    GetResourcePolicyCommand: GetResourcePolicyCommand_1.GetResourcePolicyCommand,
    GetSecretValueCommand: GetSecretValueCommand_1.GetSecretValueCommand,
    ListSecretsCommand: ListSecretsCommand_1.ListSecretsCommand,
    ListSecretVersionIdsCommand: ListSecretVersionIdsCommand_1.ListSecretVersionIdsCommand,
    PutResourcePolicyCommand: PutResourcePolicyCommand_1.PutResourcePolicyCommand,
    PutSecretValueCommand: PutSecretValueCommand_1.PutSecretValueCommand,
    RemoveRegionsFromReplicationCommand: RemoveRegionsFromReplicationCommand_1.RemoveRegionsFromReplicationCommand,
    ReplicateSecretToRegionsCommand: ReplicateSecretToRegionsCommand_1.ReplicateSecretToRegionsCommand,
    RestoreSecretCommand: RestoreSecretCommand_1.RestoreSecretCommand,
    RotateSecretCommand: RotateSecretCommand_1.RotateSecretCommand,
    StopReplicationToReplicaCommand: StopReplicationToReplicaCommand_1.StopReplicationToReplicaCommand,
    TagResourceCommand: TagResourceCommand_1.TagResourceCommand,
    UntagResourceCommand: UntagResourceCommand_1.UntagResourceCommand,
    UpdateSecretCommand: UpdateSecretCommand_1.UpdateSecretCommand,
    UpdateSecretVersionStageCommand: UpdateSecretVersionStageCommand_1.UpdateSecretVersionStageCommand,
    ValidateResourcePolicyCommand: ValidateResourcePolicyCommand_1.ValidateResourcePolicyCommand,
};
class SecretsManager extends SecretsManagerClient_1.SecretsManagerClient {
}
exports.SecretsManager = SecretsManager;
(0, smithy_client_1.createAggregatedClient)(commands, SecretsManager);
