"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.paginateBatchGetSecretValue = void 0;
const BatchGetSecretValueCommand_1 = require("../commands/BatchGetSecretValueCommand");
const SecretsManagerClient_1 = require("../SecretsManagerClient");
const makePagedClientRequest = async (client, input, ...args) => {
    return await client.send(new BatchGetSecretValueCommand_1.BatchGetSecretValueCommand(input), ...args);
};
async function* paginateBatchGetSecretValue(config, input, ...additionalArguments) {
    let token = config.startingToken || undefined;
    let hasNext = true;
    let page;
    while (hasNext) {
        input.NextToken = token;
        input["MaxResults"] = config.pageSize;
        if (config.client instanceof SecretsManagerClient_1.SecretsManagerClient) {
            page = await makePagedClientRequest(config.client, input, ...additionalArguments);
        }
        else {
            throw new Error("Invalid client, expected SecretsManager | SecretsManagerClient");
        }
        yield page;
        const prevToken = token;
        token = page.NextToken;
        hasNext = !!(token && (!config.stopOnSameToken || token !== prevToken));
    }
    return undefined;
}
exports.paginateBatchGetSecretValue = paginateBatchGetSecretValue;
